Package org.flowable.cmmn.api.runtime

# Interface CaseInstanceStartEventSubscriptionDeletionBuilder

public interface CaseInstanceStartEventSubscriptionDeletionBuilder
A builder API to delete a manually created case start event subscription which was created and registered using the `CmmnRuntimeService.createCaseInstanceStartEventSubscriptionBuilder()` builder API. With this API you can delete one or more such subscriptions based on the correlation parameter values and event type.

Author:
  Micha Kiener

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CaseInstanceStartEventSubscriptionDeletionBuilder`
  `addCorrelationParameterValue(String parameterName, Object parameterValue)`
  Adds a specific correlation parameter value for the subscription to be deleted.
  `CaseInstanceStartEventSubscriptionDeletionBuilder`
  `addCorrelationParameterValues(Map<String,Object> parameters)`
  Registers a list of correlation parameter values for the subscription(s) to be deleted.
  `CaseInstanceStartEventSubscriptionDeletionBuilder`
  `caseDefinitionId(String caseDefinitionId)`
  Set the case definition using its specific id the manually created subscription is based on.
  `void`
  `deleteSubscriptions()`
  Deletes all the matching event subscriptions.
  `CaseInstanceStartEventSubscriptionDeletionBuilder`
  `tenantId(String tenantId)`
  Set the tenant id in case you are running in a multi tenant environment and the event model needs to be retrieved from a specific tenant.

- ## Method Details

  - ### caseDefinitionId

    CaseInstanceStartEventSubscriptionDeletionBuilder caseDefinitionId(String caseDefinitionId)
    Set the case definition using its specific id the manually created subscription is based on. This is mandatory and must be provided.
    Parameters:
      `caseDefinitionId` - the id of the case definition the subscription is based on (an exact version of it)
    Returns:
      the builder to be used for method chaining

  - ### tenantId

    CaseInstanceStartEventSubscriptionDeletionBuilder tenantId(String tenantId)
    Set the tenant id in case you are running in a multi tenant environment and the event model needs to be retrieved from a specific tenant.
    Parameters:
      `tenantId` - the id of the tenant the subscription is created for
    Returns:
      the builder to be used for method chaining

  - ### addCorrelationParameterValue

    CaseInstanceStartEventSubscriptionDeletionBuilder addCorrelationParameterValue(String parameterName, Object parameterValue)
    Adds a specific correlation parameter value for the subscription to be deleted. If you register the same correlation parameter values as when creating and registering the event subscription, only that particular one will be deleted with this builder. If you want to delete all manually created subscriptions, don't register any correlation parameter values, which would result in all matching the provided case definition and event-registry start event will be deleted.
    Parameters:
      `parameterName` - the name of the correlation parameter
      `parameterValue` - the value of the correlation parameter
    Returns:
      the builder to be used for method chaining

  - ### addCorrelationParameterValues

    CaseInstanceStartEventSubscriptionDeletionBuilder addCorrelationParameterValues(Map<String,Object> parameters)
    Registers a list of correlation parameter values for the subscription(s) to be deleted.
    Parameters:
      `parameters` - the map of correlation parameter values to be registered for the subscription
    Returns:
      the builder to be used for method chaining

  - ### deleteSubscriptions

    void deleteSubscriptions()
    Deletes all the matching event subscriptions.